
local tilesize = 16
local painter = {}
painter.tiles = {}

painter.rgb = {
  {r=64, g=64, b=64}
  --{r=0, g=148, b=255}
}

function painter.convert(img)
  local pixelData = {}
  local img = love.image.newImageData(img)
  for x=1, img:getWidth() do
    for y=1, img:getHeight() do
      local pixel = {}
      pixel.r, pixel.g, pixel.b = img:getPixel(x-1, y-1)
      pixel.x, pixel.y = x, y
      table.insert(pixelData, pixel)
    end
  end
  return pixelData
end

function painter.tile(data)
  for k, tile in ipairs(data) do
    for v, color in ipairs(painter.rgb) do
      if tile.r == color.r and tile.g == color.g and tile.b == color.b then
        local newtile = {r=tile.r,g=tile.g,b=tile.b,x=tile.x*tilesize,y=tile.y*tilesize,w=16,h=16}
        table.insert(painter.tiles, newtile)
        world:add(newtile, newtile.x, newtile.y, newtile.w, newtile.h)
      end
    end
  end
end

function painter.paint()
  for k, v in ipairs(painter.tiles) do
    love.graphics.setColor(v.r, v.g, v.b)
    love.graphics.rectangle("fill", v.x, v.y, v.w, v.h)
  end
end

return painter
